/**
 * 
 */
package com.ampiere.web.struts.common;

import java.io.Serializable;
import java.util.Properties;

import org.compiere.util.Ctx;
import org.compiere.util.Msg;

import com.jware.base.web.struts.jWareBaseForm;

/**
 * @author Shinjirito
 *
 */
public class PopupBaseForm extends jWareBaseForm implements Serializable {
	private static final long serialVersionUID = -7284005006280981139L;

	private String title;
	private int windowNo;
	private int  column_ID;
	private String value;
	private String columnName;
	private String valueLabel;
	private String searchBtnTitle;
	private String submitBtnTitle;
	private String closeBtnTitle;
	private String largeRecords;
	private String loading;
	private String lookupID;
	private String viewOnly;

	public int getWindowNo() {
		return windowNo;
	}
	public void setWindowNo(int windowNo) {
		this.windowNo = windowNo;
	}
	public String getSearchBtnTitle() {
		return searchBtnTitle;
	}
	public void setSearchBtnTitle(String searchBtnTitle) {
		this.searchBtnTitle = searchBtnTitle;
	}
	public String getSubmitBtnTitle() {
		return submitBtnTitle;
	}
	public void setSubmitBtnTitle(String submitBtnTitle) {
		this.submitBtnTitle = submitBtnTitle;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public String getValueLabel() {
		return valueLabel;
	}
	public void setValueLabel(String valueLabel) {
		this.valueLabel = valueLabel;
	}
	public String getLargeRecords() {
		return largeRecords;
	}
	public void setLargeRecords(String largeRecords) {
		this.largeRecords = largeRecords;
	}
	public String getLoading() {
		return loading;
	}
	public void setLoading(String loading) {
		this.loading = loading;
	}
	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public int getColumn_ID() {
		return column_ID;
	}
	public void setColumn_ID(int column_ID) {
		this.column_ID = column_ID;
	}
	public String getLookupID() {
		return lookupID;
	}
	public void setLookupID(String lookupID) {
		this.lookupID = lookupID;
	}
	public String getCloseBtnTitle() {
		return closeBtnTitle;
	}
	public void setCloseBtnTitle(String closeBtnTitle) {
		this.closeBtnTitle = closeBtnTitle;
	}

	/**
	 *	Static Setup - set field value
	 */
	public void statInit(Ctx ctx) {
		setSearchBtnTitle(Msg.translate(ctx, "Search"));
		setSubmitBtnTitle(Msg.translate(ctx, "OK"));
		setCloseBtnTitle(Msg.translate(ctx, "Cancel"));
		setLoading(Msg.translate(ctx, "Loading"));
		setLargeRecords("");
	}
	public String getViewOnly() {
		return viewOnly;
	}
	public void setViewOnly(String viewOnly) {
		this.viewOnly = viewOnly;
	}
}
